/*	di.h -- Digital Inputs (Buttons, etc)
*
*	Written by Cathy Saxton
*	cathy@idleloop.com
*/

#ifndef DI_H
#define DI_H

#include "iop.h"

/* NOTE: ENUM/LIST #defines are in iop.h */
enum	// Digital Input Pins
{
	DIP_ENUM
};

class DI
{
public:
	DI();

	char FPressed(uchar dip) const;
	/* REVIEW: add: int FHeld(int dip, int csec) const; */

private:
	void Init() const;
	uchar FClosed(uchar dip) const;

	static char m_fInit;
	static const IOP m_mpdipiop[dipMax];
};

#endif // DI_H
